Apple M1 Special Needs

From OPeNDAP Documentation
Revision as of 23:51, 29 December 2021 by Ndp (talk | contribs) (libpng)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Computers with the Apple M1 chip require dedicated binaries, or binaries with both Intel and M1 contents. In order to get the hyrax-dependencies to build the following packages need to be installed prior to running the hyrax-dependencies build.

1 openssl

This is needed for both the hyrax-dependencies and for the bes builds.

  • brew install openssl
  • export CPPFLAGS="-I/opt/homebrew/Cellar/openssl@3/3.0.1/include"
  • export LDFLAGS="-I/opt/homebrew/Cellar/openssl@3/3.0.1/lib"

2 libpng

This is needed to build the gdal library in the hyrax-dependencies.

Unpack the distribution bundle and build and install the library into /usr/local

  • ./configure
  • make
  • make check
  • make install